<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UserSecretsId>52b86f4b-cceb-4a32-9e29-89439df6ff3a</UserSecretsId>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\..\Bin</OutputPath>
    <DocumentationFile>..\..\Bin\Siger.ApiChangLing.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\..\Bin</OutputPath>
    <DocumentationFile>..\..\Bin\Siger.ApiChangLing.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="3.1.8" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\..\Infrastructure\Repositories\Siger.Middlelayer.AccRepository\Siger.Middlelayer.AccRepository.csproj" />
    <ProjectReference Include="..\..\..\Infrastructure\Repositories\Siger.Middlelayer.CncRepository\Siger.Middlelayer.CncRepository.csproj" />
    <ProjectReference Include="..\..\..\Infrastructure\Repositories\Siger.Middlelayer.TlmRepository\Siger.Middlelayer.TlmRepository.csproj" />
    <ProjectReference Include="..\..\..\Infrastructure\Repositories\Siger.Middlelayer.TpmRepository\Siger.Middlelayer.TpmRepository.csproj" />
    <ProjectReference Include="..\..\..\Infrastructure\Siger.Middlelayer.Dapper\Siger.Middlelayer.Dapper.csproj" />
    <ProjectReference Include="..\..\Siger.ApiCommon\Siger.ApiCommon.csproj" />
  </ItemGroup>

</Project>
